%global srcname tinycss2
%global py3_prefix python%{python3_pkgversion}

Summary:        Low-level CSS parser for Python
Name:           python-%{srcname}
Version:        1.3.0
Release:        1%{?dist}
License:        BSD
URL:            https://pypi.python.org/pypi/%{srcname}/
Source0:        %pypi_source

BuildRequires:  python3-devel pyproject-rpm-macros
BuildRequires:  python3-pytest
BuildArch:      noarch

%description
tinycss2 is a modern, low-level CSS parser for Python. tinycss2 is a rewrite of
tinycss with a simpler API, based on the more recent CSS Syntax Level 3
specification.

%package     -n %{py3_prefix}-%{srcname}
Summary:        Low-level CSS parser for Python 3
Requires:       %{py3_prefix}-webencodings

%description -n %{py3_prefix}-%{srcname}
tinycss2 is a modern, low-level CSS parser for Python. tinycss2 is a rewrite of
tinycss with a simpler API, based on the more recent CSS Syntax Level 3
specification.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install

%check
%{pytest}
rm -rf %{buildroot}%{python3_sitelib}/%{srcname}/css-parsing-tests
rm -rf %{buildroot}%{python3_sitelib}/%{srcname}/test.py
rm -rf %{buildroot}%{python3_sitelib}/%{srcname}/__pycache__/test.*.py?

%files -n %{py3_prefix}-%{srcname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-%{version}.dist-info/

%changelog
* Thu Jun 13 2024 Shuo Wang <abushwang@tencent.com> - 1.3.0-1
- initial build
